org.keycloak.common.util

## Class KerberosSerializationUtils

- java.lang.Object
- - org.keycloak.common.util.KerberosSerializationUtils

-     public class KerberosSerializationUtils
      extends Object

  Provides serialization/deserialization of kerberos `GSSCredential`, so it can be transmitted from auth-server to the application and used for further calls to kerberos-secured services
  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `KerberosSerializationUtils.KerberosSerializationException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JAVA_INFO`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GSSCredential` | `deserializeCredential(String serializedCred)`
    `static String` | `serializeCredential(KerberosTicket kerberosTicket, GSSCredential gssCredential)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JAVA_INFO

          public static final String JAVA_INFO

  - ### Method Detail

    - #### serializeCredential

          public static String serializeCredential(KerberosTicket kerberosTicket,
                                                   GSSCredential gssCredential)
                                            throws KerberosSerializationUtils.KerberosSerializationException

      Throws:
        `KerberosSerializationUtils.KerberosSerializationException`

    - #### deserializeCredential

          public static GSSCredential deserializeCredential(String serializedCred)
                                                     throws KerberosSerializationUtils.KerberosSerializationException

      Throws:
        `KerberosSerializationUtils.KerberosSerializationException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.